package test

import (
	"database/sql"
	"git.blackforestbytes.com/BlackForestBytes/goext/exerr"
	"git.blackforestbytes.com/BlackForestBytes/goext/langext"
	"github.com/glebarez/go-sqlite"
	"os"
	"testing"
)

func TestMain(m *testing.M) {
	if !exerr.Initialized() {
		exerr.Init(exerr.ErrorPackageConfigInit{ZeroLogErrTraces: langext.PFalse, ZeroLogAllTraces: langext.PFalse})
	}

	if !langext.InArray("sqlite3", sql.Drivers()) {
		sqlite.RegisterAsSQLITE3()
	}

	os.Exit(m.Run())
}
